<?php

/**
 * Adding node_fields to node content.
 *
 * @param $node
 *   Object of node.
 * @param $node_fields
 *   Array of node fields.
 */
function node_field_node_content_add_node_fields($node) {
  // Return if node fields does not exist.
  $node_fields = node_field_get_node_fields($node);
  if (empty($node_fields)) {
    return;
  }
  // Add node fields to node content.
  $node->content['node_fields'] = array(
    '#theme_wrappers' => array('node_field_fields'),
  );
  foreach ($node_fields as $node_field) {
    $node_field = node_field_node_field_formatter($node_field);
    $field = array(
      '#theme' => 'node_field_field',
      '#node_field' => $node_field,
    );
    //add classes to field (if there are any)
    if (!empty($node_field['settings']['node_field_class'])) {
      // Class(es) of the field.
      $field_class = $node_field['settings']['node_field_class'];
      $prefix = '<div class="' . $field_class . '">';
      $suffix = '</div>';
      $field['#prefix'] = $prefix;
      $field['#suffix'] = $suffix;
    }
    $node->content['node_fields'][] = $field;
  }
}